version: '2.1'
services:
  ds:
    container_name: ds
    build:
      context: ../.
    depends_on:
      - onlyoffice-mariadb
    environment:
      - DB_TYPE=${DB_TYPE:-mysql}
      - DB_HOST=${DB_HOST:-onlyoffice-mariadb}
      - DB_PORT=${DB_PORT:-3306}
      - DB_NAME=${DB_NAME:-onlyoffice}
      - DB_USER=${DB_USER:-onlyoffice}
      - DB_PWD=${DB_PWD:-onlyoffice}
    stdin_open: true
    restart: always
    ports:
      - '80:80'

  onlyoffice-mariadb:
    container_name: onlyoffice-mariadb
    image: mariadb:${MARIADB_VERSION:-10.5}
    environment:
      - MYSQL_DATABASE=${MYSQL_DATABASE:-onlyoffice}
      - MYSQL_USER=${MYSQL_USER:-onlyoffice}
      - MYSQL_PASSWORD=${MYSQL_PASSWORD:-onlyoffice}
      - MYSQL_ALLOW_EMPTY_PASSWORD=${MYSQL_ALLOW_EMPTY_PASSWORD:-yes}
    restart: always
    volumes:
      - mysql_data:/var/lib/mysql
    expose:
      - '3306'

volumes:
  mysql_data:
